hashmap.c(3)

NAME
hashmap.c - Hashmap functions.

SYNOPSIS

#include <config.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <stdarg.h>
#include <wget.h>
#include 'private.h'

  Data Structures
struct entry_st
struct wget_hashmap_st
struct wget_hashmap_iterator_st

  Typedefs
typedef struct entry_st entry_t

  Functions
wget_hashmap_iterator * wget_hashmap_iterator_alloc (wget_hashmap *h)
void wget_hashmap_iterator_free (wget_hashmap_iterator **iter)
void * wget_hashmap_iterator_next (wget_hashmap_iterator *iter, void **value)
wget_hashmap * wget_hashmap_create (int max, wget_hashmap_hash_fn *hash, wget_hashmap_compare_fn *cmp)
int wget_hashmap_put (wget_hashmap *h, const void *key, const void *value)
int wget_hashmap_contains (const wget_hashmap *h, const void *key)
int wget_hashmap_get (const wget_hashmap *h, const void *key, void **value)
int wget_hashmap_remove (wget_hashmap *h, const void *key)
int wget_hashmap_remove_nofree (wget_hashmap *h, const void *key)
void wget_hashmap_free (wget_hashmap **h)
void wget_hashmap_clear (wget_hashmap *h)
int wget_hashmap_size (const wget_hashmap *h)
int wget_hashmap_browse (const wget_hashmap *h, wget_hashmap_browse_fn *browse, void *ctx)
void wget_hashmap_setcmpfunc (wget_hashmap *h, wget_hashmap_compare_fn *cmp)
int wget_hashmap_sethashfunc (wget_hashmap *h, wget_hashmap_hash_fn *hash)
void wget_hashmap_set_key_destructor (wget_hashmap *h, wget_hashmap_key_destructor *destructor)
void wget_hashmap_set_value_destructor (wget_hashmap *h, wget_hashmap_value_destructor *destructor)
void wget_hashmap_set_load_factor (wget_hashmap *h, float factor)
void wget_hashmap_set_resize_factor (wget_hashmap *h, float factor)

Detailed Description

Hashmap functions.

Author

Generated automatically by Doxygen for wget2 from the source code.